﻿using PCC.App.Tpm;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;
using PCC.Common.Networking;
using PCC.Configuration;

namespace PCC;

internal class DevClientPccConfigManager : PccDevConfigManagerBase;
internal class DevClientPeerInfoProvider(PccDevConfigManagerBase conf) : DevPeerInfoProviderBase(conf);

internal class DevClientEventBus(ILogger<DevClientEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevClientTpm(IEventBus eventBus, ILogger<DevClientTpm> logger, ILogger<KestrelTcpServer> ktsLogger) : TrustedPeerManager(eventBus, logger, ktsLogger);