﻿using Blazorise;
using Blazorise.Bootstrap5;
using Blazorise.Icons.FontAwesome;
using MudBlazor.Services;
using MudExtensions.Services;

namespace PCC.Gui.MudIse;

internal static class Scaffold
{
    public static void AddMudIseOnPcc(this IServiceCollection services)
    {
        services.AddMudServices();
        services.AddMudExtensions();

        services.AddBlazorise(options => options.Immediate = true)
            .AddBootstrap5Providers()
            .AddFontAwesomeIcons();
    }
}
