﻿using PCC2.Data.Enums;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PCC2.Data.Entity;

public class MediaRecord
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }

    [Required] public MediaRecordKind Kind { get; set; }

    public byte[]? Preview { get; set; }
    public byte[]? MediaData { get; set; }
}