﻿namespace PCC2.EventBus;

public interface IAsyncEventBus
{
    bool Subscript<T>(Func<T, Task> callBack);

    bool UnSubscript<T>(Func<T, Task> callBack);

    Task<bool> PublishAsync<T>();

    Task<bool> PublishAsync<T>(T obj);
}