﻿using PCC.App.Tpm;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;
using PCC.Common.Networking;
using PCC.Configuration;

namespace PCC;

internal class DevServerPccConfigManager : PccDevConfigManagerBase;
internal class DevServerPeerInfoProvider(PccDevConfigManagerBase conf) : DevPeerInfoProviderBase(conf);
internal class DevServerEventBus(ILogger<DevServerEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevServerTpm(IEventBus eventBus, ILogger<DevServerTpm> logger, ILogger<KestrelTcpServer> ktsLogger) : TrustedPeerManager(eventBus, logger, ktsLogger);