﻿namespace PCC.TransferModels;

public class Message
{
    public required Guid Id { get; set; }

    public required MessageKind Kind { get; set; }

    public required string? Content { get; set; }

    public required Guid? AckTo { get; set; }
}

public enum MessageKind
{
    Invalid = 0,
    Ack = 1,
    Ping = 2,
    Text = 3,
}
