﻿namespace PCC2.Backend.Events;

internal record ListenSettingChangedEvent;
internal record ListenerStatusAskEvent;
internal record ListenerStatusTellEvent(ListenerStatus Status);

internal enum ListenerStatus
{
    NotStart = -1,
    Invalid = 0,
    Starting = 1,
    Started = 2,
    StartFail = 3,
    Stopping = 4,
    Stopped = 5,
    StopFail = 6
}

internal class LocalPeerCreatedEvent;

internal class LocalPeersReLoadedEvent
{
}

internal class RemotePeerInboundConnectStatusChangedEvent
{

}

internal class RemotePeerOutboundConnectStatusChangedEvent
{

}
