﻿namespace PCC2.AssemblyInject.Interfaces;

public interface IAssemblyInjectASyncInitStarStop : IAssemblyInjectSingleton
{
    Task InitAsync();

    Task StartAsync();

    Task StopAsync();
}

public interface IAssemblyInjectASyncInitStarStop<T> : IAssemblyInjectASyncInitStarStop, IAssemblyInjectSingleton<T>
{
}
